SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000964: cron does not start any job after huge time changes - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000964Endian FirewallOther Servicespublic2008-06-16 20:542008-09-10 15:44
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.2-rc3Fixed in Version2.2-rc2 
Summary0000964: cron does not start any job after huge time changes
Descriptionfcron stores for each job the timestamp when the respective job is expected to run in its persistent crontab.

whenever the system clock will be changed backwards, fcron will not start any job until the saved timestamp is reached. this may take a very long time when fcron first started with a wrong date far in the future and ntpd set it back afterwards.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001319)
peter-endian (administrator)
2008-06-16 20:55

possible solution:
remove /var/spool/cron/root before the crontab will be installed during startup

- Issue History
Date Modified Username Field Change
2008-06-16 20:54 peter-endian New Issue
2008-06-16 20:55 peter-endian Note Added: 0001319
2008-06-17 10:35 peter-endian Status new => resolved
2008-06-17 10:35 peter-endian Fixed in Version => 2.2-rc2
2008-06-17 10:35 peter-endian Resolution open => fixed
2008-06-17 10:35 peter-endian Assigned To => peter-endian
2008-07-27 20:18 peter-endian Status resolved => closed
2008-09-10 15:44 chris-endian Target Version 2.2 => 2.2-rc3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker